2010-11-19 [paul]	0.26

	0.26 released

2010-11-19 [paul]	0.25cvs6

	* po/ca.po
	* po/cs.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/id.po
	* po/pt_BR.po
	* po/sk.po
		updated by Miquel Oliete, David Vachulka,
		Flammie Pirinen, wwp, Pader Rezso, MSulchan
		Darmawan, Frederico Goncalves Guimaraes, Slavko

2010-11-14 [holger]	0.25cvs5

	* configure.ac
	* src/notification_core.c
	* src/notification_plugin.c
		Don't disable deprecated symbols

2010-08-30 [ticho]	0.25cvs4

	* src/notification_popup.c
	* src/notification_trayicon.c
		Really fix translation for popup message count texts by using
		dngettext() instead of ngettext() for their translation.

2010-08-30 [ticho]	0.25cvs3

	* src/notification_trayicon.c
		Use correct translation domain for popup strings and trayicon
		context menu.

2010-05-04 [colin]	0.25cvs2

	* src/claws.def
		Fix win32 build

2010-05-03 [holger]	0.25cvs1

	* configure.ac
		Require libindicate >= 0.3.0 for indicator module support
	* src/notification_indicator.c
		Update according to libindicate changes
	* src/notification_prefs.c
		Mark a string for translation

2010-05-01 [paul]	0.25

	0.25 released

2010-04-30 [paul]	0.24cvs6

	* po/cs.po
	* po/fi.po
	* po/hu.po
	* po/nl.po
	* po/pt_BR.po
	* po/sk.po
		updated by David Vachulka, Flammie Pirinen, Pader Rezso,
		Marcel Pol, Frederico Goncalves Guimaraes, Slavko

2010-03-24 [pawel]	0.24cvs5

	* commitHelper
		- Portability fixes
		- Add my name
	* src/notification_core.c
	* src/notification_plugin.c
	* src/notification_trayicon.c
		Fix build with GTK+ 2.19

2010-03-16 [holger]	0.24cvs4

	* .cvsignore
		More files to ignore

2010-02-23 [holger]	0.24cvs3

	* src/notification_plugin.c
		Fix type (thanks, Paul)

2010-02-23 [holger]	0.24cvs2

	* src/notification_plugin.c
		Hint at configuration

2010-02-09 [holger]	0.24cvs1

	* configure.ac
	* src/notification_foldercheck.c
		Drop support for GTK+ < 2.10

2010-01-08 [paul]	0.24

	0.24 released

2010-01-08 [paul]	0.23cvs13

	* configure.ac
	* po/nl.po
	* po/sk.po
		added by Marcel Pol and Slavko
	* po/ca.po
	* po/cs.po
	* po/fi.po
	* po/hu.po
	* po/id.po
	* po/ja.po
	* po/pt_BR.po
		updated by Miquel Oliete, David Vachulka, Tommi Pirinen,
		Pader Rezso, MSulchan Darmawan, kazken3, and Frederico
		Goncalves Guimaraes

2010-01-05 [colin]	0.23cvs12

	* po/fr.po
		Update french translation

2009-12-22 [holger]	0.23cvs11

	* gtkhotkey/x11/tomboykeybinder.c
		Turn off debug

2009-11-29 [holger]	0.23cvs10

	* src/notification_plugin.c
	* src/notification_trayicon.c
		Forgotten includes
	* src/notification_indicator.c
		Select default inbox of the account when
		clicking on an account in the indicator applet

2009-11-29 [holger]	0.23cvs9

	* src/Makefile.am
	* src/notification_hotkeys.c
	* src/notification_hotkeys.h
	* src/notification_plugin.c
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_trayicon.c
	* src/notification_trayicon.h
		Break global hotkeys out of trayicon as they also
		make sense to be used in connection with the indicator applet

2009-11-29 [holger]	0.23cvs8

	* src/notification_indicator.c
	* src/notification_prefs.c
	* src/notification_prefs.h
		When using the indicator applet, allow
		removing the Claws Mail from the window
		list when it is minimized

2009-11-28 [holger]	0.23cvs7

	* src/notification_prefs.c
		Support registering Claws Mail in the
		indicator applet. If registered, the applet
		will provide an entry to launch Claws Mail
		if it's not running

2009-11-25 [holger]	0.23cvs6

	* configure.ac
	* src/notification_indicator.c
	* src/notification_plugin.c
		Use new API to get .desktop file

2009-11-22 [holger]	0.23cvs5

	* src/notification_indicator.c
	* src/notification_indicator.h
		Forgot to include new files on last commit

2009-11-22 [holger]	0.23cvs4

	* configure.ac
	* src/Makefile.am
	* src/notification_core.c
	* src/notification_core.h
	* src/notification_plugin.c
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_trayicon.c
		Add optional support for the indicator applet.
		New configure switch --{en|dis}able-indicator

2009-10-21 [holger]	0.23cvs3

	* src/notification_trayicon.c
		Refuse to toggle window by hotkey when trayicon
		is not visible

2009-10-17 [holger]	0.23cvs2

	* src/notification_prefs.c
		Fix build without libnotify, but with hotkey support

2009-10-16 [holger]	0.23cvs1

	* Makefile.am
	* configure.ac
	* gtkhotkey/.cvsignore
	* gtkhotkey/Makefile.am
	* gtkhotkey/gtk-hotkey-error.c
	* gtkhotkey/gtk-hotkey-error.h
	* gtkhotkey/gtk-hotkey-info.c
	* gtkhotkey/gtk-hotkey-info.h
	* gtkhotkey/gtk-hotkey-key-file-registry.c
	* gtkhotkey/gtk-hotkey-key-file-registry.h
	* gtkhotkey/gtk-hotkey-listener.c
	* gtkhotkey/gtk-hotkey-listener.h
	* gtkhotkey/gtk-hotkey-marshal.c
	* gtkhotkey/gtk-hotkey-marshal.h
	* gtkhotkey/gtk-hotkey-registry.c
	* gtkhotkey/gtk-hotkey-registry.h
	* gtkhotkey/gtk-hotkey-utils.c
	* gtkhotkey/gtk-hotkey-utils.h
	* gtkhotkey/gtk-hotkey-x11-listener.c
	* gtkhotkey/gtk-hotkey-x11-listener.h
	* gtkhotkey/gtkhotkey.h
	* gtkhotkey/x11/.cvsignore
	* gtkhotkey/x11/eggaccelerators.c
	* gtkhotkey/x11/eggaccelerators.h
	* gtkhotkey/x11/tomboykeybinder.c
	* gtkhotkey/x11/tomboykeybinder.h
	* src/Makefile.am
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_trayicon.c
	* src/notification_trayicon.h
		Add support for global hotkeys to the trayicon
		module. Ships a local copy of libgtkhotkey.
		The hotkey support can be disabled at compile
		time with the new --disable-hotkeys configure switch.

2009-10-09 [paul]	0.23

	0.23 released

2009-08-22 [holger]	0.22cvs4

	* m4/.cvsignore
		More files to ignore
	* src/notification_prefs.c
		Increase maximum popup time to an hour,
		and allow popups that never time out when
		using libnotify

2009-07-10 [colin]	0.22cvs3

	* src/claws.def
	* src/notification_trayicon.c
		Fix Windows build

2009-07-10 [holger]	0.22cvs2

	* src/notification_plugin.c
		Return FALSE from plugin_done() to avoid crash on unload
		due to needed libraries.

2009-07-03 [mones]	0.22cvs1

	* configure.ac
	* po/es.po
		Added Spanish translation

2009-07-03 [paul]	0.22

	0.22 released

2009-07-03 [paul]	0.21cvs10

	* configure.ac
	* po/id.po
		added by MSulchan Darmawan
	* po/cs.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/it.po
	* po/ja.po
	* po/pt_BR.po
	* po/ru.po
		updated by David Vachulka, Tommi Pirinen, Colin Leroy,
		Pader Rezso, Andrea Spadaccini, kazken3, Frederico
		Goncalves Guimaraes, and Aleksei Miheev

2009-05-22 [holger]	0.21cvs9

	* src/notification_trayicon.c
		Replace deprecated status icon tooltip function

2009-05-22 [holger]	0.21cvs8

	* configure.ac
	* src/notification_plugin.c
	* src/notification_trayicon.c
		Honour prefs_common.clean_on_exit, see
		Claws Mail 3.7.1cvs60

2009-04-28 [holger]	0.21cvs7

	* po/POTFILES.in
		Add another missing file while I'm at it.

2009-04-28 [holger]	0.21cvs6

	* po/POTFILES.in
		Add missing file to potfiles.
		Patch by Ilya Barygin <conscious@mail.ru>

2009-04-26 [holger]	0.21cvs5

	* src/notification_popup.c
	* src/notification_trayicon.c
		Rework bubble logic to work better
		with notify-osd

2009-04-07 [holger]	0.21cvs4

	* configure.ac
	* src/Makefile.am
	* src/notification_core.c
	* src/notification_prefs.c
	* src/notification_prefs.h
		Add optional support for the fd.o sound theme spec via canberra.
		Support is build by default when libcanberra-gtk is present,
		but can be turned off at compile time with
		--disable-libcanberra-gtk or at run time on the main
		prefs page.
		Fixes reminder bug #1729.

2009-04-07 [holger]	0.21cvs3

	* src/notification_core.c
	* src/notification_plugin.c
	* src/notification_plugin.h
	* src/notification_prefs.c
	* src/notification_prefs.h
		Support setting the window manager urgency hint
		when new and/or unread messages exist, configurable
		on the Notification main prefs page.
		The implementation is inspired by a patch from Dima Kogan <dkogan@cds.caltech.edu>
		Fixes bug #1730

2009-03-08 [paul]	0.21cvs2

	* configure.ac
	* po/ja.po
		add Japanese translation, submitted by kazken3

2009-03-06 [holger]	0.21cvs1

	* src/notification_popup.c
	* src/notification_trayicon.c
		Revert the timeout part of 0.20cvs1. Being
		annoying is better than racing. This needs a proper
		fix along the lines of
		https://wiki.ubuntu.com/NotificationDevelopmentGuidelines

2009-03-06 [paul]	0.21

	0.21 released

2009-03-06 [paul]	0.20cvs2

	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/pt_BR.po
		updated by Flammie Pirinen, Colin Leroy, Pader Rezso,
		and Frederico Goncalves Guimaraes

2009-02-24 [colin]	0.20cvs1

	* src/notification_popup.c
	* src/notification_trayicon.c
		Check for notification server "actions"
		capability

2008-12-19 [paul]	0.20

	0.20 released


2008-12-19 [paul]	0.19cvs3

	* po/cs.po
	* po/ru.po
		updated by David Vachulka, Aleksei Miheev

2008-12-07 [paul]	0.19cvs2

	* configure.ac
		check for compiler before setting CFLAGS

2008-11-28 [colin]	0.19cvs2

	* po/fr.po
		Update

2008-11-18 [colin]	0.19cvs1

	* src/notification_trayicon.c
		Win32: Workaround GTK bug 552642
		http://bugzilla.gnome.org/show_bug.cgi?id=552642

2008-10-10 [paul]	0.19

	0.19 released

2008-10-04 [colin]	0.18cvs2

	* src/claws.def
		Fix symbols

2008-10-04 [colin]	0.18cvs1

	* src/notification_plugin.c
		Win32: set translation dir

2008-10-03 [paul]	0.18

	0.18 released

2008-10-03 [paul]	0.17cvs7

	* configure.ac
	* po/ru.po
		added by Aleksei Miheev
	* po/ca.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/zh_CN.po
		updated by Miquel Oliete, Flammie Pirinen,
		Colin Leroy, Pader Rezo, and Ralph Young

2008-09-26 [colin]	0.17cvs6

	* configure.ac
	* src/Makefile.am
	* src/claws.def
	* src/notification_banner.c
	* src/notification_foldercheck.c
	* src/notification_prefs.c
	* src/notification_trayicon.c
	* src/plugin.def
	* src/version.rc
		Prepare Win32 port

2008-08-07 [colin]	0.17cvs5

	* src/notification_foldercheck.c
		Undeprecate

2008-07-31 [colin]	0.17cvs4

	* src/notification_banner.c
		Get rid of the last (?) GtkItemFactory

2008-07-28 [holger]	0.17cvs3

	* .cvsignore
		More files to ignore
	* src/notification_trayicon.c
		Port trayicon popup menu to GtkUIManager
		Heavily inspired by the trayicon plugin port (3.5.0cvs34)

2008-07-07 [holger]	0.17cvs2

	* src/notification_banner.c
		Don't lock mutex during gtk main loop iterations

2008-07-02 [wwp]	0.17cvs1

	* src/notification_foldercheck.c
		Fix compilation with older GTKs.

2008-06-27 [paul]	0.17

	0.17 released

2008-06-27 [paul]	0.16cvs7

	* po/fi.po
	* po/pt_BR.po
		updated by Flammie Pirinen and Frederico
		Goncalves Guimaraes

2008-06-16 [holger]	0.16cvs6

	* src/notification_prefs.c
		Add comment to translators about "toast".

2008-06-12 [holger]	0.16cvs5

	* src/notification_foldercheck.c
		Obey tree view prefs. Patch by wwp.

2008-05-26 [holger]	0.16cvs4

	* configure.ac
	* src/notification_plugin.c
		Update icons dynamically on theme change.
		Patch heavily inspired by 3.4.0cvs70 of main
		(on which this plugin now depends)

2008-05-25 [holger]	0.16cvs3

	* src/notification_foldercheck.c
		Maybe fix adjustment jumping around in
		foldercheck window

2008-05-25 [holger]	0.16cvs2

	* .cvsignore
		More files to ignore
	* src/notification_foldercheck.c
		Close foldercheck dialog on ESC

2008-04-21 [colin]	0.16cvs1

	* po/fr.po
		Fix an ugly translation

2008-04-18 [paul]	0.16

	0.16 released

	* po/fr.po
		added by wwp

	* po/fi.po
	* po/it.po
	* po/pt_BR.po
		updated by Flammie Pirinen, Andrea Spadaccini and
		Frederico Goncalves Guimaraes

2008-03-15 [colin]	0.15cvs8

	* src/notification_core.c
	* src/notification_core.h
	* src/notification_popup.c
	* src/notification_trayicon.c
		Factorize mainwindow show code, and fix
		folderview's scroll like in Trayicon

2008-03-12 [colin]	0.15cvs7

	* configure.ac
		Enable -Wall

2008-03-05 [holger]	0.15cvs6

	* src/notification_trayicon.c
		Fix trayicon when compiled without
		libnotify.

2008-02-25 [holger]	0.15cvs5

	* src/notification_plugin.c
	* src/notification_trayicon.c
	* src/notification_trayicon.h
		If the "hide on startup" trayicon option is
		set, make sure that the trayicon is really
		visible. Otherwise, the main window may
		be hidden and inaccessible.  

2008-02-17 [holger]	0.15cvs4

	* src/notification_banner.c
		Clean up (and fix) color inversion on mouse over

2008-02-16 [holger]	0.15cvs3

	* src/notification_banner.c
	* src/notification_plugin.c
	* src/notification_prefs.c
	* src/notification_prefs.h
		Make banner width configurable. This is reasonable
		on multi-monitor setups.

2008-02-16 [holger]	0.15cvs2

	* src/notification_banner.c
	* src/notification_core.c
	* src/notification_core.h
		Rework banner module widget hierarchy. Invert message
		box color on mouse-over. Add right-click context menu
		to reply to message.

2008-02-09 [paul]	0.15cvs1

	* Makefile.am
		enter the po/ dir sooner

2008-02-08 [paul]	0.15

	0.15 released

2008-02-08 [paul]	0.14cvs5

	* po/fi.po
	* po/it.po
	* po/zh_CN.po
		updated by Flammie Pirinen, Andrea Spadaccini and
		Ralph Young

2008-01-20 [holger]	0.14cvs4

	* src/notification_trayicon.c
		Use Stock icon for quit action in
		trayicon context menu

2008-01-15 [holger]	0.14cvs3

	* src/notification_pixbuf.c
		Fix typo

2008-01-15 [holger]	0.14cvs2

	* configure.ac
	* src/Makefile.am
	* src/notification_pixbuf.c
	* src/notification_plugin.c
	* src/raw_trayicon_newmail.h
	* src/raw_trayicon_newmail_offline.h
	* src/raw_trayicon_newmarkedmail.h
	* src/raw_trayicon_newmarkedmail_offline.h
	* src/raw_trayicon_nomail.h
	* src/raw_trayicon_nomail_offline.h
	* src/raw_trayicon_unreadmail.h
	* src/raw_trayicon_unreadmail_offline.h
	* src/raw_trayicon_unreadmarkedmail.h
	* src/raw_trayicon_unreadmarkedmail_offline.h
		Make trayicon themable.

2007-12-29 [holger]	0.14cvs1

	* src/notification_core.c
	* src/notification_prefs.c
		Fix loading of plugin with disabled banner.
		Also, fix remembering folder specific settings
		for trayicon module when compiled without
		libnotify.
		Both problems reported by Dmitry Stegantsov <v@vsu.ru>

2007-12-17 [paul]	0.14.0

	0.14.0 released

2007-12-17 [paul]	0.13cvs3

	* po/hu.po
	* po/it.po
		updated by Pader Rezso and Andrea Spadaccini

2007-12-04 [holger]	0.13cvs2

	* src/notification_prefs.h
		Forgotten fix in last commit

2007-12-04 [holger]	0.13cvs1

	* src/notification_popup.c
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_trayicon.c
		Optionally show folder path in bubble.
		Patch mostly by Salvatore De Paolis.
		Also change some space indents to tabs.

2007-11-19 [paul]	0.13.0

	0.13.0 released

2007-11-19 [paul]	0.12.1cvs9

	* po/fi.po
	* po/hu.po
	* po/it.po
	* po/pt_BR.po
	* po/zh_CN.po
		Updated by Flammie Pirinen, Pader Rezso, Andrea
		Spadaccini, Frederico Goncalves Guimaraes, and
		Ralph Young

2007-10-12 [holger]	0.12.1cvs8

	* src/notification_plugin.c
		Make unregistering the hooks the first thing
		to do in plugin_done(). Thanks to Colin.

2007-10-12 [holger]	0.12.1cvs7

	* src/notification_plugin.c
		Destroy the trayicon on plugin unload. This call
		was for sure missing, but doesn't fix the problem
		that plugin unloading causes memory corruptions and
		crashes. More debugging is necessary on this.

2007-10-11 [colin]	0.12.1cvs6

	* src/notification_trayicon.c
		Use ngettext for plurals

2007-10-11 [holger]	0.12.1cvs5

	* configure.ac
	* src/notification_plugin.c
		Update required Claws-Mail version
	* src/notification_popup.c
	* src/notification_trayicon.c
		If a single mail arrived and there is a picture
		of the sender in the addressbook, use this picture
		in the libnotify popup instead of the Claws Mail logo.

2007-10-04 [colin]	0.12.1cvs4

	* src/notification_prefs.c
		Verify success on writes

2007-09-26 [holger]	0.12.1cvs3

	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_trayicon.c
	* src/notification_trayicon.h
		Fix compile without libnotify support.
		Thanks to Brian Morrison for reporting.

2007-09-26 [holger]	0.12.1cvs2

	* src/notification_core.c
	* src/notification_core.h
	* src/notification_lcdproc.c
	* src/notification_lcdproc.h
	* src/notification_plugin.c
	* src/notification_prefs.c
	* src/notification_trayicon.c
	* src/notification_trayicon.h
		Make trayicon and LCD obey global
		folder preferences. Also, add "selected
		folders only" option to the complete trayicon
		module (and not only to the popups)

2007-09-20 [paul]	0.12.1cvs1

	* configure.ac
	* po/it.po
		submitted by Andrea Spadaccini

2007-09-17 [paul]	0.12.1

	* 0.12.1 released

2007-09-07 [holger]	0.12cvs2

	* src/notification_popup.c
		Fix typo in English popup string. Thanks to
		Andrea Spadaccini for reporting.

2007-09-07 [holger]	0.12cvs1

	* src/notification_lcdproc.c
		Add missing include. Hopefully fixes build on FreeBSD.
		Thanks to Martin Wilke (miwi) for reporting.

2007-09-03 [paul]	0.12

	* 0.12 released

2007-09-03 [paul]	0.11cvs19

	* po/ca.po
	* po/fi.po
	* po/hu.po
	* po/pt_BR.po
	* po/zh_CN.po
		updated by Miquel Oliete, Flammie Pirinen,
		Pader Rezso, Frederico Goncalves Guimaraes,
		Ralph Young

2007-08-26 [holger]	0.11cvs18

	* src/notification_trayicon.c
		If a single mail message arrives, a click
		on the trayicon popup now opens that mail
		message in Claws-Mail.

2007-08-26 [holger]	0.11cvs17

	* src/notification_trayicon.c
		Fix compile without libnotify support.

2007-08-26 [holger]	0.11cvs16

	* src/notification_trayicon.c
		Add a menu item to the trayicon popup menu
		to enable/disable the trayicon popups that have
		been introduced in the last commit.

2007-08-26 [holger]	0.11cvs15

	* src/notification_core.c
	* src/notification_core.h
	* src/notification_popup.c
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_trayicon.c
	* src/notification_trayicon.h
		Add support for the fd.o desktop notification spec
		for the trayicon module if compiled with libnotify
		support. This allows to have a passive toaster
		popup attached to the trayicon when new mail arrives,
		just like Rhythmbox and other GNOME apps. Some people
		may prefer that over the toaster popups of the popup
		module. 

2007-08-24 [holger]	0.11cvs14

	* src/notification_plugin.c
	* src/notification_trayicon.c
		Fix crash when the plugin was loaded when the
		trayicon was disabled. Fixes (reopened) 
		Bug #1299.
		Thanks to Zygfryd Homonto and
		Charles A Edwards for the reports.

2007-08-24 [holger]	0.11cvs13

	* src/Makefile.am
	* src/notification_core.c
	* src/notification_core.h
	* src/notification_pixbuf.c
	* src/notification_pixbuf.h
	* src/notification_plugin.c
	* src/notification_popup.c
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_trayicon.c
	* src/notification_trayicon.h
	* src/raw_trayicon_newmail.h
	* src/raw_trayicon_newmail_offline.h
	* src/raw_trayicon_newmarkedmail.h
	* src/raw_trayicon_newmarkedmail_offline.h
	* src/raw_trayicon_nomail.h
	* src/raw_trayicon_nomail_offline.h
	* src/raw_trayicon_unreadmail.h
	* src/raw_trayicon_unreadmail_offline.h
	* src/raw_trayicon_unreadmarkedmail.h
	* src/raw_trayicon_unreadmarkedmail_offline.h
		Add a new module: trayicon
		This is a port of the standard trayicon plugin that ships
		with Claws-Mail. It uses GTK+'s implementation of the
		Freedesktop.org system tray specification instead of the
		old, unmaintained and depreciated libeggtrayicon library.


2007-08-24 [holger]	0.11cvs12

	* src/notification_lcdproc.c
		Actually, do the call to shutdown() only on
		non-Windows systems, since on Windows, shutdown()
		is already called in sock_close()

2007-08-24 [holger]	0.11cvs11

	* src/notification_lcdproc.c
		Fix messages getting stuck at times on LCD by adding
		a call to shutdown() for the socket before
		calling sock_close(). Also make it easier to check
		for return messages from the LCD deamon in the future.

2007-08-23 [holger]	0.11cvs10

	* src/notification_lcdproc.c
		Make messages appearing on LCD
		translatable.

2007-08-23 [holger]	0.11cvs9

	* configure.ac
	* src/notification_core.c
	* src/notification_lcdproc.c
	* src/notification_lcdproc.h
		As I was able to verify the lcdproc module with
		real hardware now, built the module by default.

2007-08-21 [holger]	0.11cvs8

	* COPYING
	* src/notification_banner.c
	* src/notification_banner.h
	* src/notification_command.c
	* src/notification_command.h
	* src/notification_core.c
	* src/notification_core.h
	* src/notification_foldercheck.c
	* src/notification_foldercheck.h
	* src/notification_lcdproc.h
	* src/notification_pixbuf.c
	* src/notification_pixbuf.h
	* src/notification_plugin.c
	* src/notification_plugin.h
	* src/notification_popup.c
	* src/notification_popup.h
	* src/notification_prefs.c
	* src/notification_prefs.h
		Change license to GPLv3 or later.

2007-08-21 [holger]	0.11cvs7

	* src/notification_lcdproc.c
		Don't even try to connect to LCDd
		if the module is deactivated.

2007-08-21 [holger]	0.11cvs6

	* src/notification_core.c
	* src/notification_core.h
	* src/notification_lcdproc.c
	* src/notification_lcdproc.h
	* src/notification_plugin.c
		Better structure for notifications
		of message counts.

2007-08-21 [holger]	0.11cvs5

	* ChangeLog
	* README
	* configure.ac
	* src/Makefile.am
	* src/notification_lcdproc.c
	* src/notification_lcdproc.h
	* src/notification_plugin.c
	* src/notification_prefs.c
	* src/notification_prefs.h
		Add a new module: lcdproc
		to display the status of new and unread messages
		on an external LCD. Needs a LCDd server up and running.
		This is a rewrite of the former LCDProc plugin
		for Sylpheed-Claws (GTK1 branch) which is copyrighted by
		Leandro Pereira.
		The module is not built by default until I can find my
		soldering iron and actually test with my old LCD (instead
		of just using the LCDd curses driver).

2007-08-20 [holger]	0.11cvs4

	* src/notification_core.c
	* src/notification_core.h
	* src/notification_plugin.c
	* src/notification_prefs.c
	* src/notification_prefs.h
		Add an option to restrict the maximum number of
		messages in the banner module. Having too many messages there
		causes too high system load. Defaults to 100. This restriction
		can be deactivated by setting the option to 0.
		Thanks to Mykilx and Paul for reporting.

2007-08-16 [paul]	0.11cvs3

	* configure.ac
		use pkgconfig to check for gtk and glib

2007-07-11 [colin]	0.11cvs2

	* src/notification_plugin.c
		Specify license better (GPL2+)

2007-07-07 [paul]	0.11cvs1

	* configure.ac
	* po/fi.po
		added by Flammie Pirinen

2007-07-03 [paul]	0.11

	* 0.11 released

2007-07-03 [paul]	0.10cvs7

	* configure.ac
	* po/zh_CN.po
		added by Ralgh Young
	* po/hu.po
	* po/pt_BR.po
		updated by Pader Rezso and Frederico
		Goncalves Guimaraes
		

2007-06-21 [colin]	0.10cvs6

	* src/notification_plugin.c
		Update plugin API

2007-06-08 [wwp]	0.10cvs5

	* configure.ac
		Bumped required version.

2007-06-08 [colin]	0.10cvs4

	* src/notification_popup.c
		Fix build

2007-06-07 [paul]	0.10cvs3

	* src/notification_popup.c
		fix crash when Subject is empty
		patch by Gianni Ceccarelli <dakkar@users.sf.net>

2007-04-20 [wwp]	0.10cvs2

	* configure.ac
		Bumped up the minimal Claws-Mail version this
		plug-in requires.

2007-04-20 [wwp]	0.10cvs1

	* src/notification_banner.c
		Reflect changes to 2.9.1cvs5:
		replaced nearly all uses of prefs_common.trans_hdr with a call
		to prefs_common_translated_header_name().

2007-04-16 [paul]	0.10

	0.10 released

2007-04-16 [paul]	0.9cvs10

	* configure.ac
	* po/ca.po
	* po/hu.po
	* po/pt_BR.po
		added Catalan, Hungarian, and Brazilian
		Portuguese translations by Miquel Oliete,
		Pader Rezso, and Frederico Goncalves Guimaraes

2007-03-30 [holger]	0.9cvs9

	* src/notification_core.c
		Fix typo in debug string.
	* src/notification_popup.c
		If only a single message arrived, a click
		on the popup will not only show the main window,
		but also directly select the new message.

2007-03-17 [holger]	0.9cvs8

	* po/.cvsignore
		Another file to ignore.

2007-03-17 [holger]	0.9cvs7

	* configure.ac
	* po/LINGUAS *** removed ***
		Follow Claws' standard for i18n

2007-03-17 [holger]	0.9cvs6

	* ChangeLog
	* Makefile.am
	* configure.ac
	* config/config.rpath
	* m4/.cvsignore
	* m4/Makefile.am
	* m4/gettext.m4
	* m4/iconv.m4
	* m4/lib-ld.m4
	* m4/lib-link.m4
	* m4/lib-prefix.m4
	* m4/nls.m4
	* m4/po.m4
	* m4/progtest.m4
	* src/Makefile.am
	* src/gettext.h
	* src/notification_banner.c
	* src/notification_foldercheck.c
	* src/notification_plugin.c
	* src/notification_popup.c
	* src/notification_prefs.c
		Add i18n support. This is a slightly modified
		patch from Tim <timbrain@post.cz>, who is also
		the author of the czech translation. Thanks a lot
		him! I am a first-timer on i18n, so if it is broken,
		it is most likely my fault.

2007-03-16 [holger]	0.9cvs5

	* src/notification_core.c
		Fix typo in debug string.

2007-03-13 [wwp]	0.9cvs4

	* src/notification_popup.c
	* config/.cvsignore
		Candidate fix for bug #1148: gtk_window_present() is really not
		enough to raise/show CM's mainwindow in all situations.
		More files to ignore.

2007-03-08 [holger]	0.9cvs3

	* Makefile.am
		Fix bug 1146, 'cannot compile
		notification-plugin from snapshot'

2007-03-02 [holger]	0.9cvs2

	* src/notification_core.c
		Fix a typo in a debug string.

2007-03-01 [wwp]	0.9cvs1

	* src/notification_core.c
	* src/notification_prefs.c
		Add missing newline to few debug output/warning messages.

2007-02-26 [paul]	0.9

	0.9 released

2007-02-04 [colin]	0.8cvs2

	* src/notification_banner.c
	* src/notification_foldercheck.c
	* src/notification_popup.c
	* src/notification_prefs.c
		Set wmclass on windows

2007-01-23 [holger]	0.8cvs1

	* src/notification_popup.c
		Fix encoding of the displayed From and Subject
		lines for the popup if using libnotify.
		Thanks to Colin for helping me out on this.

2007-01-09 [paul]	0.8

	0.8 released

2007-01-08 [holger]	0.7cvs4

	* src/notification_popup.c
		Deal with libnotify popup timeout function
		error better.

2006-12-17 [holger]	0.7cvs3

	* src/notification_popup.c
		If a single mail message arrived,
		show its from and subject headers in popup.

2006-12-15 [ticho]	0.7cvs2

	* configure.ac
	* src/notification_plugin.c
		Use check_plugin_version() for version check.

2006-12-04 [holger]	0.7cvs1

	* configure.ac
		libnotify 0.4.3 seems to work well,
		indeed. Make this one the required version
		of libnotify (effectively activating 
		libnotify support from now on!).

2006-12-04 [paul]	0.7

	0.7 released

2006-11-28 [paul]	0.6cvs3

	* configure.ac
		bump required version of Claws
		following renaming
		Thanks to Charles Edwards for the
		reminder

2006-11-27 [paul]	0.6cvs2

	* src/notification_plugin.c
	* src/notification_prefs.c
		renaming

2006-11-07 [paul]	0.6cvs1

	* ChangeLog
	* INSTALL
	* PATCHSETS
	* configure.ac
	* src/Makefile.am
	* src/notification_banner.c
	* src/notification_banner.h
	* src/notification_command.c
	* src/notification_command.h
	* src/notification_core.c
	* src/notification_core.h
	* src/notification_foldercheck.c
	* src/notification_foldercheck.h
	* src/notification_pixbuf.c
	* src/notification_pixbuf.h
	* src/notification_plugin.c
	* src/notification_plugin.h
	* src/notification_popup.c
	* src/notification_popup.h
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/raw_claws_mail_logo_64x64.h
	* src/raw_sylpheed_claws_logo_64x64.h
		Name change

2006-11-07 [paul]	0.6

	* 0.6 released

2006-10-20 [holger]	0.5cvs5

	* src/notification_core.c
	* src/notification_core.h
	* src/notification_plugin.c
		Make banner module obey global folder
		type limitations.

2006-10-15 [holger]	0.5cvs4

	* configure.ac
	* src/notification_popup.c
		Fix off-by-one in message count when
		using libnotify.

2006-10-15 [holger]	0.5cvs3

	* src/notification_core.c
		Fix typo in debug string

2006-10-14 [holger]	0.5cvs2

	* src/notification_command.c
	* src/notification_core.c
	* src/notification_plugin.c
	* src/notification_popup.c
	* src/notification_prefs.c
	* src/notification_prefs.h
		Implement global configuration options
		to include or exclude certain folder types
		(mail, news, RSS, calendar) from notification.

2006-10-07 [holger]	0.5cvs1

	* src/notification_command.c
	* src/notification_command.h
	* src/notification_prefs.c
	* src/notification_prefs.h
		Expand folder specific settings to
		the command module.

2006-09-26 [colin]	0.5

	* 0.5 released

2006-09-26 [holger]	0.4cvs1

	* src/notification_popup.c
		Fix several possible deadlock situations.
		Thanks to Brian Morrison and Colin for
		debugging this.

2006-09-25 [paul]	0.4

	0.4 released

2006-09-24 [holger]	0.3cvs16

	* src/notification_popup.c
		Have seperate popups for incomming mail,
		calendar messages, RSS feeds and news
		messages when using libnotify.

2006-09-24 [colin]	0.3cvs15

	* src/notification_prefs.c
		Include main.h for sylpheed_is_exiting()

2006-09-23 [colin]	0.3cvs14

	* src/notification_prefs.c
		Don't do gtk stuff on exit

2006-09-23 [holger]	0.3cvs13

	* src/notification_popup.c
		Make code more flexible, preparing for
		having seperate popups for different
		types of incomming messages (will most
		likely only get into the libnotify part).

2006-09-23 [holger]	0.3cvs12

	* src/notification_prefs.c
		Make it clear that the window manager is free
		to ignore the popup width and position selected
		by the user.

2006-09-22 [ticho]	0.3cvs11

	* configure.ac
		Update required claws-mail version to 2.4.0.200.

2006-09-22 [holger]	0.3cvs10

	* src/notification_core.c
		Add some debugging info.
	* src/notification_command.c
	* src/notification_popup.c
		For now, ignore folders with foldertype
		F_NEWS and F_UNKNOWN.

2006-09-21 [holger]	0.3cvs9

	* src/notification_core.c
		Make plugin safe against msgid set to NULL.

2006-09-18 [holger]	0.3cvs8

	* src/notification_core.c
		Change notification implementation in a way
		that every msg is only warned about once,
		distinguished by msgid. This will result in
		getting only one notification for receiving
		double messages, but this is probably the
		smaller annoyance.

2006-09-17 [holger]	0.3cvs7

	* commitHelper
		Use the same version number in ChangeLog and plugin.
	* configure.ac
		Update to check for libnotify. Required libnotify version
		is set to a high value. 0.4.3 or later will probably
		work, but is not released yet, and I didn't verify
		svn. Consider libnotify support to be deactivated for
		now.
	* src/Makefile.am
	* src/notification_pixbuf.c
	* src/notification_pixbuf.h
	* src/notification_plugin.c
	* src/notification_popup.c
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/raw_claws_mail_logo_64x64.h
		Include support for libnotify.
	* src/notification_core.c
	* src/notification_core.h
		Try to make the notification also work on IMAP folders. This
		requires major rework. The postfiltering-hook has been dropped
		in favor of connecting to the folderitem update hook directly.
		The implementation of this is likely to change again, though.

2006-09-01 [wwp]	0.3cvs6

	* commitHelper
		sync w/ commitHelper in claws-mail module:
		use CVSEDITOR env. var. if set.

2006-08-27 [wwp]	0.3cvs5

	* src/notification_plugin.c
		fix plugin compilation (N_ undefined).

2006-08-27 [colin]	0.3cvs4

	* src/notification_plugin.c
		Implement plugin_provides()

2006-08-18 [paul]	0.3cvs3

	* configure.ac
		bump up GLib and GTK+ minimum required versions,
		following Claws

2006-08-04 [holger]	0.3cvs2

	* src/notification_foldercheck.c
	* src/notification_popup.c
	* src/notification_popup.h
	* src/notification_prefs.c
	* src/notification_prefs.h
		Expand folder specific settings to the
		popup module, and fix several bugs on the way.

2006-08-03 [holger]	0.3cvs1

	* src/notification_foldercheck.c
		Make specific folder list safe against deleted
		folders. Fixes crasher when an already deleted
		folder was accessed.

2006-08-02 [paul]

	0.3 released

2006-07-27 [holger]	0.3

	* src/Makefile.am
	* src/notification_core.c
	* src/notification_core.h
	* src/notification_banner.h
	* src/notification_plugin.c
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_foldercheck.c	*** new file ***
	* src/notification_foldercheck.h	*** new file ***
		Introduce restricting notification to certain
		folders via the options page.  Currently, the
		new feature is only used in the "Banner" module,
		but the others will follow soon. Hopefully.

2006-06-10 [holger]	0.2.1

	* src/notification_prefs.c
		Rework prefs page, to make greying out inactive
		options easier.

2006-06-06 [wwp]	0.2cvs2

	* configure.ac
	* src/.cvsignore
		fix/unify/simplify autostuff.

2006-06-03 [wwp]	0.2cvs1

	* commitHelper
	* PATCHSETS
		introducing commitHelper for plugins too.

2006-05-25 [holger]	0.2

	* configure.ac
	* src/Makefile.am
	* src/notification_plugin.c
	* src/notification_prefs.c
	* src/notification_prefs.h
	* src/notification_command.c	*** new file ***
	* src/notification_command.h	*** new file ***
		Add new module: command
		Executes a command line upon new mail arrival.
		In contrast to the builtin-command support, the
		command ist just issued when the mail is marked as
		"new" after sorting. This way, one can get around
		notifications when for example just Spam arrives.
	
2006-05-07 [holger]	0.1.2

	* src/notification_plugin.c
		Make sure the hooks are not called with
		NULL as source. Fixes crasher.

2006-04-07 [colin] 	0.1.1

	* configure.ac
		Optionnaly handle --prefix.
		Patch by Pawel Pekala.

2006-03-18 [holger]	0.1

	first public release

2006-03-16 [holger]	0.0.2

	* refresh popup during filtering

2006-03-07 [holger]	0.0.1

	* initial import
